| Home | Libraries | People | FAQ | More

##### basic_socket::basic_socket (5 of 5 overloads)

Move-construct a `basic_socket` from another.

    basic_socket(
        basic_socket && other);

This constructor moves a socket from one object to another.

###### Parameters

other

  The other `basic_socket` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_socket(io_service&) constructor`.